/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl.debugger;

import java.util.Observable;

import com.agentfactory.platform.core.IScheduler;
import com.agentfactory.visualiser.core.IAgentInspector;
import com.agentfactory.visualiser.core.IInspectorFactory;
import com.agentfactory.visualiser.core.IStateManager;

/**
 *
 * @author remcollier
 */
public class AFAPLInspectorFactory implements IInspectorFactory {
    public boolean handles(IStateManager manager) {
        return AFAPLStateManager.class.isInstance(manager);
    }

    public IAgentInspector create(IStateManager manager, IScheduler scheduler) {
        AFAPLInspector inspector = new AFAPLInspector();
        inspector.init(manager, scheduler);
        ((Observable) manager).addObserver(inspector);
        return inspector;
    }

}
