/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl.debugger;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;

/**
 *
 * @author remcollier
 */
public class GoalPanel extends JPanel implements InspectorPanel {
    private JTextArea display;
    private AFAPLSnapshot snapshot;
    
    public GoalPanel() {
        this.setLayout(new BorderLayout());
        
        display = new JTextArea();        
        JScrollPane pane = new JScrollPane(display);
        this.add(BorderLayout.CENTER, pane);
    }
    
    public synchronized void update(ISnapshot snapshot) {
        this.snapshot = (AFAPLSnapshot) snapshot;
        update();
    }
    
    private void update() {
    	String text = "";
        for (GoalDescription goal:snapshot.goals) {
        	text += goal.toString() + "\n";
        }
        display.setText(text);
    }
}
