/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl.interpreter;

import com.agentfactory.platform.core.AgentCreationException;
import com.agentfactory.platform.core.IAgent;
import com.agentfactory.platform.impl.AbstractArchitectureFactory;

/**
 *
 * @author remcollier
 */
public class AFAPLArchitectureFactory extends AbstractArchitectureFactory {
    public IAgent create(String name, Object design) throws AgentCreationException {
        ScriptBasedAFAPLAgent agent = new ScriptBasedAFAPLAgent(name);
        String argument = this.configuration.getProperty("TIMESLICE");
        if (argument != null) {
            agent.setTimeSlice(Integer.parseInt(argument));
        } else {
        	// DEFAULT TIME SLICE = 100
            agent.setTimeSlice(100);
        }
		agent.construct((String) design);
        return agent;
    }

    public boolean filter(Object design) {
        if (String.class.isInstance(design)) {
            return ((String) design).endsWith(".afapl");
        }
        return false;
    }
}
