/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.compiler.typeCheck;

import java.util.List;

import com.agentfactory.afapl2.compiler.parser.node.FOSNode;

/**
 *
 * @author remcollier
 */
public class EnumTypeChecker implements ITypeChecker {
    private List<String> values;
    
    public EnumTypeChecker(List<String> values) {
        this.values = values;
    }
    
    public boolean validate(FOSNode fos) {
        if (fos.getFunctor().startsWith("?") || !fos.getArguments().isEmpty()) return false;
        return values.contains(fos.getFunctor());
    }

}
