/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.debugger.inspector;

import javax.swing.JTabbedPane;

import com.agentfactory.visualiser.impl.DefaultAgentInspector;

/**
 *
 * @author remcollier
 */
public class AFAPL2Inspector extends DefaultAgentInspector {
    @Override
    public void addTabs(JTabbedPane jTabbedPane) {
        super.addTabs(jTabbedPane);
        
        jTabbedPane.addTab("Ontologies", new OntologyPanel());
        jTabbedPane.addTab("Perceptors", new PerceptorPanel());
        jTabbedPane.addTab("Beliefs", new BeliefPanel());
        jTabbedPane.addTab("Roles", new RolesPanel());
        jTabbedPane.addTab("Goals", new GoalsPanel());
        jTabbedPane.addTab("Commitment Rules", new CommitmentRulesPanel());
        jTabbedPane.addTab("Commitments", new CommitmentsPanel());
        jTabbedPane.addTab("Plans", new PlansPanel());
        jTabbedPane.addTab("Actions", new ActionsPanel());
        jTabbedPane.addTab("Action Schedule", new ActionSchedulePanel());
    }
}
