/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.debugger.inspector;

import java.util.Observable;

import com.agentfactory.afapl2.debugger.AFAPL2StateManager;
import com.agentfactory.platform.core.IScheduler;
import com.agentfactory.visualiser.core.IAgentInspector;
import com.agentfactory.visualiser.core.IInspectorFactory;
import com.agentfactory.visualiser.core.IStateManager;

/**
 *
 * @author remcollier
 */
public class AFAPL2InspectorFactory implements IInspectorFactory {
    public boolean handles(IStateManager manager) {
        return AFAPL2StateManager.class.isInstance(manager);
    }

    public IAgentInspector create(IStateManager manager, IScheduler scheduler) {
        AFAPL2Inspector inspector = new AFAPL2Inspector();
        inspector.init(manager, scheduler);
        ((Observable) manager).addObserver(inspector);
        return inspector;
    }

}
