/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.debugger.model;

import java.util.LinkedList;
import java.util.List;

import com.agentfactory.afapl2.interpreter.mentalState.Commitment;
import com.agentfactory.afapl2.interpreter.mentalState.CommitmentRule;

/**
 *
 * @author remcollier
 */
public class CommitmentRuleDescription {
    private String rule;
    private List<CommitmentDescription> commitments;
    
    public CommitmentRuleDescription(CommitmentRule rule, List<CommitmentDescription> desc, List<Commitment> coms) {
        this.rule = rule.toString();
        commitments = new LinkedList<CommitmentDescription>();
        int index = 0;
        for (Commitment commitment: coms) {
            if (rule.equals(commitment.getCommitmentRule())) {
                commitments.add(desc.get(index));
            }
            
            index++;
        }
    }
    
    public String getRule() {
        return rule;
    }
    
    public List<CommitmentDescription> getCommitments() {
        return commitments;
    }
    
    @Override
    public String toString() {
        return rule;
    }
}
