/*
 * ActionDescription.java
 *
 * Created on 08 July 2006, 07:52
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.agentfactory.afapl2.debugger.model;

import java.io.Serializable;

import com.agentfactory.afapl2.interpreter.mentalState.Plan;
import com.agentfactory.logic.lang.FOS;
/**
 *
 * @author Administrator
 */
public class PlanDescription implements Serializable {
    private String identifier;
    private String preCondition;
    private String postCondition;
    private FOS body;
    
    /** Creates a new instance of ActionDescription */
    public PlanDescription(Plan plan) {
        identifier = plan.getIdentifier().toString();
        preCondition = plan.getPreCondition().toString();
        postCondition = plan.getPostCondition().toString();
        body = plan.getBody();
    }
    
    public String getIdentifier() {
        return identifier;
    }
    
    public String getPreCondition() {
        return preCondition;
    }
    
    public String getPostCondition() {
        return postCondition;
    }
    
    public FOS getBody() {
        return body;
    }
}
    
