/*
 * BeliefDecoder.java
 *
 * Created on November 4, 2007, 8:36 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.interpreter.decoder;

import java.util.List;

/**
 *
 * @author remcollier
 */
public class AlwaysDecoder implements Decoder {
    private List<String> list;
    private int index;
    private StringBuffer buf;
    
    /** Creates a new instance of BeliefDecoder */
    public AlwaysDecoder(List<String> list) {
        this(list, 1);
    }
    
    /** Creates a new instance of BeliefDecoder */
    public AlwaysDecoder(List<String> list, int offset) {
        this.list = list;
        index = offset;
        buf = new StringBuffer();
    }
    
    public void decode() {
        buf.append("ALWAYS(");
        BeliefDecoder decoder = new BeliefDecoder(list, index+1);
        decoder.decode();
        buf.append(decoder.getBelief());
        index = decoder.getOffset();
        buf.append(")");
    }
    
    public String getBelief() {
        return buf.toString();
    }
    
    public int getOffset() {
        return index;
    }
}
