/*
 * FOSDecoder.java
 *
 * Created on November 5, 2007, 8:46 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.interpreter.decoder;

import java.util.List;

/**
 *
 * @author remcollier
 */
public class FOSDecoder implements Decoder {
    private List<String> list;
    private int index;
    private StringBuffer buf;
    
    /** Creates a new instance of BeliefDecoder */
    public FOSDecoder(List<String> list) {
        this(list, 1);
    }
    
    /** Creates a new instance of BeliefDecoder */
    public FOSDecoder(List<String> list, int offset) {
        this.list = list;
        index = offset;
        buf = new StringBuffer();
    }
        
     public void decode() {
    	String part = list.get(index++);
        buf.append(part);
        if (part.startsWith("\"")) {
        	while (!part.endsWith("\"")) {
            	part = list.get(index++);
                buf.append(" " + part);
        	}
        }
        int size = Integer.parseInt(list.get(index++));
        if (size == 0) return;

        boolean first = true;
        buf.append("(");
        while (size > 0) {
            if (first) first = false;
            else buf.append(",");
            decode();
            size --;
        }
        buf.append(")");
    }

     public String getFOS() {
        return buf.toString();
    }
    
    public int getOffset() {
        return index;
    }

}
