/*
 * FOSDecoder.java
 *
 * Created on November 5, 2007, 8:46 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.agentfactory.afapl2.interpreter.decoder;

import java.util.LinkedList;
import java.util.List;

import com.agentfactory.logic.agent.Function;

/**
 *
 * @author remcollier
 */
public class FunctionDecoder implements Decoder {

    private List<String> list;
    private int index;
    private StringBuffer buf;
    private Function function;

    /** Creates a new instance of BeliefDecoder */
    public FunctionDecoder(List<String> list) {
        this(list, 1);
    }

    /** Creates a new instance of BeliefDecoder */
    public FunctionDecoder(List<String> list, int offset) {
        this.list = list;
        index = offset;
        buf = new StringBuffer();
    }

    public void decode() {
        List<String> types = new LinkedList<String>();
        List<String> variables = new LinkedList<String>();

        String functor = list.get(index++);

        int size = Integer.parseInt(list.get(index++));
        while (size > 0) {
            types.add(list.get(index++));
            variables.add(list.get(index++));
            size--;
        }
        String implementation = list.get(index++);
        
        if (implementation.equals("null")) {
            implementation = null;
        }
        function = new Function(functor, types, variables, implementation);
    }

    public Function getFunction() {
        return function;
    }

    public int getOffset() {
        return index;
    }
}
