package com.agentfactory.agentspeak.interpreter.mentalstate;

import com.agentfactory.clf.lang.IFormula;
import com.agentfactory.clf.plans.PlanStack;

public class Intention extends PlanStack {
	private ASEvent event;
	private IFormula condition;
	
	public Intention(ASEvent event, PlanRule primary) {
		super();
		this.event = event;
		addInitialPlan(primary.getPlan());
		this.condition = primary.getCondition();
	}

	public String toString() {
		return "\n\n"+event.toString() + ":\n" + super.toString();
	}
	
	public ASEvent getEvent() {
		return event;
	}
	
	public IFormula getCondition() {
		return condition;
	}
}
