/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.astr.debugger.inspector;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import com.agentfactory.astr.debugger.ASTRSnapshot;
import com.agentfactory.astr.interpreter.PartialPlan;
import com.agentfactory.astr.interpreter.PlanRule;
import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;

/**
 *
 * @author remcollier
 */
public class RulePanel extends JPanel implements InspectorPanel {
    private JTextArea rules;
    private ASTRSnapshot snapshot;
    
    public RulePanel() {
        this.setLayout(new BorderLayout());
        
        rules = new JTextArea();
        JScrollPane pane = new JScrollPane(rules);
        this.add(BorderLayout.CENTER, pane);
    }
    
    public synchronized void update(ISnapshot shot) {
        this.snapshot = (ASTRSnapshot) shot;

        String output = "";
        for (PlanRule rule: snapshot.rules) {
        	output += rule.toString() +"\n\n";
        }
        for (PartialPlan plan: snapshot.plans) {
        	output += plan.toString() +"\n\n";
        }
    	rules.setText(output);
    }
}
