package com.agentfactory.eis.afapl2;

import com.agentfactory.eis.EISService;
import com.agentfactory.logic.agent.Module;

import eis.iilang.Parameter;
import eis.iilang.Percept;

/**
 *
 * @author  Mauro Dragone
 */
public class EISControlModule extends Module {
	public EISService service;
	public boolean registered = false;
	public boolean associated = false;
	public String association = "";
	
	public String generateBelief(Percept percept) {
		String fos = percept.getName();
		boolean first = true;
		for (Parameter param: percept.getParameters()) {
			if (first) {
				fos += "(";
				first = false;
			} else {
				fos += ",";
			}
			
			String p = param.toProlog();
			if (Character.isUpperCase(p.charAt(0))) fos += "?";
			fos += p;
		}
		if (!first) fos += ")";
		return fos;
	}
}
