package com.agentfactory.service.ams;

import com.agentfactory.platform.core.AgentID;
import com.agentfactory.platform.core.IAgent;

public class AgentDetails {
	public String name;
	public String type;
	public String state;
	public AgentID agentID;
	
	public AgentDetails(String name, String type, int state, AgentID agentID) {
		this.name = name;
		this.type = type;
		this.agentID = agentID;
		switch (state) {
		case IAgent.ACTIVE:
			this.state = "active";
			break;
		case IAgent.INITIATED:
			this.state = "initiated";
			break;
		case IAgent.SUSPENDED:
			this.state = "suspended";
			break;
		case IAgent.TERMINATED:
			this.state = "terminated";
			break;
		case IAgent.TRANSIT:
			this.state = "transit";
			break;
		case IAgent.WAITING:
			this.state = "waiting";
			break;
		}
	}
}
