/*
 * PlatformGUI.java
 *
 * Created on 14 November 2005, 06:39
 */
package com.agentfactory.visualiser;

import java.util.Observable;

import com.agentfactory.visualiser.core.IStateManagerFactory;
import com.agentfactory.visualiser.impl.SnapshotManager;

/**
 *
 * @author  Administrator
 */
public class ViewerBase {
	private static final long serialVersionUID = 1L;
	
    protected SnapshotManager manager;

    public void registerStateManagerFactory(IStateManagerFactory factory) {
    	manager.registerStateManagerFactory(factory);
    }
    
    /** Creates new form PlatformGUI */
    public ViewerBase(Observable platform) {
        manager = new SnapshotManager();
        platform.addObserver(manager);
    }
}
