/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.agentfactory.visualiser.impl;

import java.util.LinkedList;
import java.util.List;

import com.agentfactory.platform.core.IMessage;
import com.agentfactory.platform.core.IPlatformService;
import com.agentfactory.visualiser.core.ISnapshot;

/**
 *
 * @author remcollier
 */
public class DefaultSnapshot implements ISnapshot {
    public String name;
    public String type;
    public long iterations;
    public List<IMessage> inbox;
    public List<IMessage> outbox;
    public List<IPlatformService> services;
    public List<String> actionLog = new LinkedList<String>();
    
    public String getName() {
        return name;
    }

    public String getType() {
        return type;
    }

    public long numIterations() {
        return iterations;
    }
    
    public List<IMessage> getInbox() {
        return inbox;
    }
    
    public List<IMessage> getOutbox() {
        return outbox;
    }
    
    public List<IPlatformService> getPlatformServices() {
        return services;
    }
    
    public List<String> getActionLog() {
        return actionLog;
    }
}
