/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.visualiser.impl;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;

/**
 *
 * @author remcollier
 */
public class SensorPanel extends JPanel implements InspectorPanel {
    private JTextArea rules;
    private AbstractLanguageAgentSnapshot snapshot;
    
    public SensorPanel() {
        this.setLayout(new BorderLayout());
        
        rules = new JTextArea();
        JScrollPane pane = new JScrollPane(rules);
        this.add(BorderLayout.CENTER, pane);
    }
    
    public synchronized void update(ISnapshot shot) {
        this.snapshot = (AbstractLanguageAgentSnapshot) shot;

        String output = "";
        for (ComponentDescription comp: snapshot.sensors) {
        	output += comp.toString() +"\n";
        }
    	rules.setText(output);
    }
}
