/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.visualiser.impl;

import com.agentfactory.platform.core.IPlatformService;
import com.agentfactory.visualiser.core.ISnapshot;
import java.awt.BorderLayout;
import javax.swing.DefaultListModel;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JToolBar;

/**
 *
 * @author remcollier
 */
public class ServicesPanel extends JPanel implements InspectorPanel {
	private static final long serialVersionUID = 1L;
	private JList services;
    
    public ServicesPanel() {
        this.setLayout(new BorderLayout());
        services = new JList(new DefaultListModel());
        
        JToolBar toolbar = new JToolBar();
        toolbar.add(new JLabel("Bound Platform Services:"));
        add(BorderLayout.NORTH, toolbar);
        JScrollPane scrollPane = new JScrollPane(services);
        add(BorderLayout.CENTER, scrollPane);
    }
    
    public synchronized void update(ISnapshot snapshot) {
        DefaultListModel model = new DefaultListModel();
        
        for (IPlatformService service: snapshot.getPlatformServices()) {
            model.addElement(service.getName());
        }

        services.setModel(model);
    }

}
