/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl.debugger;

import javax.swing.JTabbedPane;

import com.agentfactory.visualiser.impl.AbstractLanguageAgentInspector;
import com.agentfactory.visualiser.impl.ActionLogPanel;

/**
 *
 * @author remcollier
 */
public class AFAPLInspector extends AbstractLanguageAgentInspector {
    @Override
    public void addTabs(JTabbedPane jTabbedPane) {
        super.addTabs(jTabbedPane);
        
        jTabbedPane.addTab("Beliefs", new BeliefPanel());
        jTabbedPane.addTab("Goals", new GoalPanel());
        jTabbedPane.addTab("Plans", new PlanPanel());
        jTabbedPane.addTab("Rules", new RulePanel());
        jTabbedPane.addTab("Commitments", new CommitmentPanel());
        jTabbedPane.addTab("Action Log", new ActionLogPanel());
    }
}
