package com.agentfactory.afapl2.interpreter.mentalState;

import com.agentfactory.logic.agent.ActivityIdentifier;
import com.agentfactory.logic.lang.TerAND;

/**
 * Interface to be implemented by any AFAPL2 activity (i.e. Plans and Actions)
 * @author daithi
 * @version $Id$
 *
 */
public interface IActivity {
    public TerAND getPreCondition();
    public TerAND getPostCondition();
    public ActivityIdentifier getIdentifier();
}
