/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.interpreter.mentalState;

import com.agentfactory.logic.lang.FOS;
import com.agentfactory.logic.lang.TerAND;
import com.agentfactory.logic.reasoner.SubstitutionSet;

/**
 *
 * @author remcollier
 */
public class PlanInstance {
    private Plan plan;
    private SubstitutionSet bindings;
    
    public PlanInstance(Plan plan, SubstitutionSet bindings) {
        this.plan = plan;
        this.bindings = bindings;
    }
    
    public TerAND getPreCondition() {
        return plan.getPreCondition().apply(bindings);
    }
    
    public FOS getBody() {
        return plan.getBody().apply(bindings);
    }
}
