package com.agentfactory.agentspeak.compiler;

import java.util.List;

import com.agentfactory.clf.interpreter.CoreUtilities;
import com.agentfactory.clf.lang.Variable;

public class VariableListVisitor implements AgentSpeakParserVisitor {

	@SuppressWarnings("unchecked")
	@Override
	public Object visit(SimpleNode node, Object data) {
		if (node.toString().equals("VariableList")) {
			List<Variable> variables = (List<Variable>) data;
			variables.add((Variable) CoreUtilities.factory.createTerm(((SimpleNode) node.jjtGetChild(0)).jjtGetValue().toString()));
			if (node.jjtGetNumChildren() > 1) {
				visit((SimpleNode) node.jjtGetChild(1), data);
			}
		}
		return null;
	}

}
