package com.agentfactory.agentspeak.interpreter;

import com.agentfactory.platform.core.IAgent;
import com.agentfactory.service.migration.IMigrationHandler;
import com.agentfactory.service.migration.IMigrationSnapshot;

public class AgentSpeakMigrationHandler implements IMigrationHandler {
	@Override
	public String type() {
		return "AgentSpeak";
	}

	@Override
	public IMigrationSnapshot create(IAgent agent) {
		return new AgentSpeakMigrationSnapshot((AbstractAgentSpeakAgent) agent);
	}

}
