/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.astr.debugger.inspector;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.LinkedList;
import java.util.List;

import javax.swing.DefaultListModel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import com.agentfactory.astr.debugger.ASTRSnapshot;
import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;

/**
 *
 * @author remcollier
 */
public class BeliefPanel extends JPanel implements InspectorPanel,ActionListener {
    /**
	 * 
	 */
	private static final long serialVersionUID = 732705846422692177L;
	
	private JList<String> list;
    private ASTRSnapshot snapshot;
    private RegexPanel rep;
    private List<String> filtered;
    
    public BeliefPanel() {
        this.setLayout(new BorderLayout());

        filtered = new LinkedList<String>();
        list = new JList<String>(new DefaultListModel<String>());
        JScrollPane pane = new JScrollPane(list);
        rep = new RegexPanel();
        rep.setBAL(this);
        this.add(BorderLayout.NORTH, rep);
        this.add(BorderLayout.CENTER, pane);
    }
    
    public synchronized void update(ISnapshot snapshot) {
        this.snapshot = (ASTRSnapshot) snapshot;
        update();
    }
    
    private void update() {
        DefaultListModel<String> model = new DefaultListModel<String>();
        try{
        	filter(rep.getText());
        }catch (Exception e){
        	
        }
        for (String belief:filtered) {
            model.addElement(belief);
        }
        list.setModel(model);
    }

    @Override
	public void actionPerformed(ActionEvent arg0) {
		update();
		
	}
	private void filter(String reg){
		filtered.clear();
		for (String bel : snapshot.beliefs) {
			if(bel.matches(reg)) filtered.add(bel);
		}
	}
}
