/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.astr.debugger.inspector;

import java.awt.BorderLayout;

import javax.swing.DefaultListModel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import com.agentfactory.astr.debugger.ASTRSnapshot;
import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;

/**
 *
 * @author remcollier
 */
public class InferencePanel extends JPanel implements InspectorPanel {
    /**
	 * 
	 */
	private static final long serialVersionUID = -3641000015269014748L;
	private JList<String> list;
    private ASTRSnapshot snapshot;
    
    public InferencePanel() {
        this.setLayout(new BorderLayout());
        
        list = new JList<String>(new DefaultListModel<String>());        
        JScrollPane pane = new JScrollPane(list);
        this.add(BorderLayout.CENTER, pane);
    }
    
    public synchronized void update(ISnapshot snapshot) {
        this.snapshot = (ASTRSnapshot) snapshot;
        update();
    }
    
    private void update() {
        DefaultListModel<String> model = new DefaultListModel<String>();
        
        for (String inference:snapshot.inferences) {
            model.addElement(inference);
        }
        list.setModel(model);
    }
}
