package com.agentfactory.logic.update.interpreter;

import com.agentfactory.logic.update.lang.Predicate;

public abstract class Action extends AbstractComponent {
	@Override
	protected void addBelief(String belief) {
		Predicate predicate = (Predicate) CoreUtilities.factory.createFormula(belief);
		predicate.getLabels().add((Predicate) CoreUtilities.factory.createFormula("source(self)"));
		agent.addBelief(predicate);
	}
	
	public abstract boolean execute(Predicate activity);
}
