/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.rma.debugger;

import com.agentfactory.rma.EventHandler;
import com.agentfactory.rma.HandlerEvent;
import com.agentfactory.rma.MessageHandler;
import com.agentfactory.visualiser.impl.DefaultSnapshot;
import java.util.List;
import java.util.Map;

/**
 *
 * @author remcollier
 */
public class RMASnapshot extends DefaultSnapshot {
    Map<String, Object> memory;
    List<HandlerEvent> handledEvents;
    List<String> messageHandlers;
    List<String> eventHandlers;
    
    /**
     * Returns the memory information
     * 
     * @return a Map
     */
    public Map<String, Object> getMemory() {
        return memory;
    }
    
    /**
     * Returns the list of handled events
     * 
     * @return a List
     */
    public List<HandlerEvent> getHandledEvents() {
        return handledEvents;
    }

    public List<String> getEventHandlers() {
        return eventHandlers;
    }
    
    public List<String> getMessgeHandlers() {
        return messageHandlers;
    }
}