/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.visualiser.impl;

import java.awt.BorderLayout;

import javax.swing.DefaultListModel;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JToolBar;

import com.agentfactory.platform.core.IAgent;
import com.agentfactory.platform.core.IPlatformService;
import com.agentfactory.visualiser.core.IServiceInspectorPanel;

/**
 *
 * @author remcollier
 */
public class BoundAgentPanel extends JPanel implements IServiceInspectorPanel {
	private static final long serialVersionUID = 1L;
	private JList agentList;
	private IPlatformService service;
    
    public BoundAgentPanel(IPlatformService service) {
        this.service = service;
    	this.setLayout(new BorderLayout());
        agentList = new JList();
        JToolBar toolbar = new JToolBar();
        toolbar.add(new JLabel("Bound Agents:"));
        add(BorderLayout.NORTH, toolbar);
        JScrollPane scrollPane = new JScrollPane(agentList);
        add(BorderLayout.CENTER, scrollPane);
        update();
    }
    
    public void update() {
        DefaultListModel model = new DefaultListModel();
        for (IAgent agent:service.getBoundAgents()) {
        	model.addElement(agent.getName());
        }
        agentList.setModel(model);
    }

}
