package com.agentfactory.visualiser.impl;

import com.agentfactory.clf.interpreter.CoreUtilities;
import com.agentfactory.clf.lang.Predicate;

public class ComponentDescription {
	String id;
	String className;
	
	public ComponentDescription(Predicate id, String className) {
		this.id = CoreUtilities.presenter.toString(id);
		this.className = className;
	}
	
	@Override
	public String toString() {
		return id + " -> " + className; 
	}
}
