/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.visualiser.impl;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import com.agentfactory.visualiser.core.ISnapshot;

/**
 *
 * @author remcollier
 */
public class ModulePanel extends JPanel implements InspectorPanel {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JTextArea rules;
    private AbstractLanguageAgentSnapshot snapshot;
    
    public ModulePanel() {
        this.setLayout(new BorderLayout());
        
        rules = new JTextArea();
        JScrollPane pane = new JScrollPane(rules);
        this.add(BorderLayout.CENTER, pane);
    }
    
    public synchronized void update(ISnapshot shot) {
        this.snapshot = (AbstractLanguageAgentSnapshot) shot;

        String output = "";
        for (ComponentDescription comp: snapshot.modules) {
        	output += comp.toString() +"\n";
        }
    	rules.setText(output);
    }
}
